package controllers;

import play.*;
import play.mvc.*;

import java.util.*;

import com.zenithsistemas.TestForm;
import com.zenithsistemas.jXHTML.Anchor;
import com.zenithsistemas.jXHTML.Form;
import com.zenithsistemas.jXHTML.Input;
import com.zenithsistemas.jXHTML.Submit;

import models.*;

public class Application extends Controller {
	
	public static void index() {
		Anchor formsLink = new Anchor("Form Demos", "/forms");
		
		render(formsLink);
	}

    public static void forms() {
    	
    	// Some basic form from a class
    	TestForm testForm1 = new TestForm(params.allSimple()); 

    	// Some basic form from scratch
    	Form testForm2 = new Form("form2"); 
    	
		testForm2.addElement(new Input("Firstname: ", "fname"));
		testForm2.addElement(new Input("Lastname: ", "lname"));
		
		Submit sbt = new Submit();
		sbt.append(" or " + new Anchor("Cancel", "/"));		
		testForm2.addElement(sbt);
				
		testForm2.setValues(params.allSimple()); // This autocompletes all fields
		    	
    	render(testForm1, testForm2);    	
    }    
}
