package com.zenithsistemas.jXHTML;

import java.util.ArrayList;
import java.util.List;

public class Label extends Element {

	public Label() {
		super("txt");	
		setup("Label", "txt");
	}
	
	public Label(String content) {
		super("txt");
		setup(content, "txt");
	}
	
	public Label(String fortxt, String content) {
		super(fortxt);
		setup(content, fortxt);
	}
	
	public void setup(String content, String fortxt) {
		setTag("label");
		
		clearDecorator();	
				
		setAttr("for", fortxt);
		removeAttr("name");
		removeAttr("id");
		
		setContent(content);
	}
}
